# v1_secret_key_selector_t

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**key** | **char \*** | The key of the secret to select from.  Must be a valid secret key. | 
**name** | **char \*** | Name of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#names | [optional] 
**optional** | **int** | Specify whether the Secret or its key must be defined | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


